coupang
POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/callCenterInquiries/{inquiryId}/replies2609170000

Answer to Inquiries via Coupang Contact Center

# 01

Summary

Answer to Inquiries via Coupang Contact Center

# 02

Details

Available buyer market: Korean, Taiwan

Sellers can answer inquiries that have been submitted to the Coupang Contact Center.
You can answer an inquiry when its status is 'Unanswered (inquiryStatus:progress, partnerTransferStatus:requestAnswer)'.
Use the Contact Center Inquiry Query API to confirm its 'inquiryId' and 'answerId' before answering the inquiry.

Please note that answering the same inquiry redundantly will result in an error.

※ If the status of an inquiry remains 'Unanswered' for more than 24 hours,
the Coupang system will automatically post a notification (“[Coupang System] The CS inquiry has not been answered within 24 years. Please note that the inquiry will be handled by our agent pursuant to Coupang's T&C and policy.”) to the inquiry.
In this case, the status of the inquiry is switched to "Answered" as soon as the notification is posted. You will not be able to answer via API. Where necessary, navigate to [WING > Online Inquiry > Coupang CS Inquiry] to answer the inquiry.

Path

POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/callCenterInquiries/{inquiryId}/replies

Example endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00010028/callCenterInquiries/1007837444/replies

URL API Name

UPDATE_INQUIRY
# 03

Path parameters

NameTypeDescription
vendorId*string
Seller ID;
Unique code issued by Coupang to a seller. Log in to Wing to find out.
inquiryId*string
Consultation number (Question ID)
The seller enters which question to answer.
Use the Contact Center Inquiry Query API to confirm 'inquiryId'.
# 04

Request body

Request parameters

Body parameter

NameTypeDescription
vendorId*string
Seller ID;
Unique code issued by Coupang to a seller. Log in to Wing to find out.
inquiryId*string
Inquiry ID
content*string
Content of the answer;
2 characters - up to 1,000 characters.
Use \n for line break.
replyBy*string
Actual user ID (Coupang Wing ID);

ID of the user affiliated to the seller (vendor)
parentAnswerId*string
ID of the inquiry transferred to the parent (answerId);
Use the Contact Center Inquiry Query API to look up and enter the 'answerId'.
Request exampleapplication/json
{
  "vendorId": "A00010028",
  "inquiryId": "1007837444",
  "content": "안녕하세요\n주문 확인 부탁드립니다.\n수고하세요.",
  "replyBy": "wanger",
  "parentAnswerId": "1023208324"
}
# 05

Response body

Response message

NameTypeDescription
codestring
Server response code
200/400/500
messagestring
Server response message
OK

Response Example

{
  "code": "200",
  "message": "OK"
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (Check Request Parameter)

Could not read JSON: Illegal unquoted character ((CTRL-CHAR, code 13)): has to be escaped using backslash to be included in string value...

Make sure that the details (content) of the answer are in accordance with the JSON format. Newline, backslash, carriage return, etc. must be converted to the JSON format.

400400 (Check Request Parameter)

The inquiry can't be answer. It can do only inquiryStatus:progress, partnerTransferStatus:requestAnswer

Make sure that the status of the inquiry that you are going to answer is 'Unanswered (inquiryStatus:progress, partnerTransferStatus:requestAnswer)'. Answering the already answered inquiry will result in an error.

400400 (Check Request Parameter)

The reply content length should be between 2 ~ 1000

Make sure that the answer contains more than 2 characters but no more than 1,000 characters.

400400 (Check Request Parameter)

The parentAnswerId is required.

Make sure that you have entered the ID of the inquiry transferred to the parent (parentAnswerId).

400400(Check Request Parameter)

userId가 올바르지 않습니다 - 520

replyBy has the wrong userId. If there is no problem with userId, check through Coupang online inquiry.

400400(Check Request Parameter)

userId가 올바르지 않습니다 - 521

replyBy has the wrong userId. If there is no problem with userId, check through Coupang online inquiry.

400400(Check Request Parameter)

상담이 종료된 문의입니다 - 522

It is an inquiry that consultation was terminated by the counselor. You can't write an answer.